Sets a skill secret value.

PUThttps://api.awork.com/api/v1/agents/skills/secretvalues
PUT https://api.awork.com/api/v1/agents/skills/secretvalues

Sets a skill secret value. Workspace-scoped values require admin permissions; user-scoped values are stored for the requesting user only.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

The request payload.

application/json

envVarNamestringRequired
minLength: 1 maxLength: 100

The environment variable name the value belongs to.

scopestringRequired
minLength: 1

The scope of the value ("workspace" or "user").

valuestringRequired
minLength: 1

The secret value. It is stored encrypted and never returned by the API.

Responses

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation